Loading...
Searching...
No Matches
Exiv2::MemIo::Impl Class Referencefinal

Internal Pimpl structure of class MemIo. More...

## Public Member Functions

| Impl ()=default
| Default constructor.
| Impl (const byte *data, size_t size)
| Constructor 2.
void | reserve (size_t wcount)
| Reserve memory.
| Impl (const Impl &)=delete
| Copy constructor.
Impl & | operator= (const Impl &)=delete
| Assignment.

## Public Attributes

byte * | data_ {nullptr}
| Pointer to the start of the memory area.
size_t | idx_ {0}
| Index into the memory area.
size_t | size_ {0}
| Size of the memory area.
size_t | sizeAlloced_ {0}
| Size of the allocated buffer.
bool | isMalloced_ {false}
| Was the buffer allocated?
bool | eof_ {false}
| EOF indicator.

## Detailed Description

Internal Pimpl structure of class MemIo.

The documentation for this class was generated from the following file:

- basicio.cpp